name: ghc
version: 7.6.3
id: ghc-7.6.3-4b6389681feaefe6a381ef9c4200ba87
license: BSD3
copyright:
maintainer: glasgow-haskell-users@haskell.org
stability:
homepage: http://www.haskell.org/ghc/
package-url:
synopsis: The GHC API
description: GHC's functionality can be useful for more things than just
             compiling Haskell programs. Important use cases are programs
             that analyse (and perhaps transform) Haskell code. Others
             include loading Haskell code dynamically in a GHCi-like manner.
             For this reason, a lot of GHC's functionality is made available
             through this package.
category: Development
author: The GHC Team
exposed: False
exposed-modules: DsMeta TcSplice Convert ByteCodeAsm ByteCodeGen
                 ByteCodeInstr ByteCodeItbls ByteCodeLink Debugger LibFFI Linker
                 ObjLink RtClosureInspect DebuggerUtils Avail BasicTypes DataCon
                 Demand Exception GhcMonad Id IdInfo Literal Llvm Llvm.AbsSyn
                 Llvm.PpLlvm Llvm.Types LlvmCodeGen LlvmCodeGen.Base
                 LlvmCodeGen.CodeGen LlvmCodeGen.Data LlvmCodeGen.Ppr
                 LlvmCodeGen.Regs LlvmMangler MkId Module Name NameEnv NameSet
                 OccName RdrName SrcLoc UniqSupply Unique Var VarEnv VarSet BlockId
                 CLabel Cmm CmmBuildInfoTables CmmPipeline CmmCallConv
                 CmmCommonBlockElim CmmContFlowOpt CmmCvt CmmExpr CmmInfo CmmLex
                 CmmLint CmmLive CmmMachOp CmmNode CmmOpt CmmParse CmmProcPoint
                 CmmRewriteAssignments CmmSink CmmType CmmUtils CmmLayoutStack
                 MkGraph OldCmm OldCmmLint OldCmmUtils OldPprCmm PprBase PprC PprCmm
                 PprCmmDecl PprCmmExpr Bitmap CgBindery CgCallConv CgCase CgClosure
                 CgCon CgExpr CgExtCode CgForeignCall CgHeapery CgHpc CgInfoTbls
                 CgLetNoEscape CgMonad CgParallel CgPrimOp CgProf CgStackery
                 CgTailCall CgTicky CgUtils StgCmm StgCmmBind StgCmmClosure
                 StgCmmCon StgCmmEnv StgCmmExpr StgCmmForeign StgCmmGran StgCmmHeap
                 StgCmmHpc StgCmmLayout StgCmmMonad StgCmmPrim StgCmmProf
                 StgCmmTicky StgCmmUtils ClosureInfo CodeGen SMRep CoreArity CoreFVs
                 CoreLint CorePrep CoreSubst CoreSyn TrieMap CoreTidy CoreUnfold
                 CoreUtils ExternalCore MkCore MkExternalCore PprCore
                 PprExternalCore Check Coverage Desugar DsArrows DsBinds DsCCall
                 DsExpr DsForeign DsGRHSs DsListComp DsMonad DsUtils Match MatchCon
                 MatchLit HsBinds HsDecls HsDoc HsExpr HsImpExp HsLit HsPat HsSyn
                 HsTypes HsUtils BinIface BuildTyCl IfaceEnv IfaceSyn IfaceType
                 LoadIface MkIface TcIface FlagChecker Annotations BreakArray
                 CmdLineParser CodeOutput Config Constants DriverMkDepend
                 DriverPhases DriverPipeline DynFlags ErrUtils Finder GHC GhcMake
                 GhcPlugins DynamicLoading HeaderInfo HscMain HscStats HscTypes
                 InteractiveEval PackageConfig Packages PprTyThing StaticFlags
                 StaticFlagParser SysTools TidyPgm Ctype HaddockUtils LexCore Lexer
                 OptCoercion Parser ParserCore ParserCoreUtils RdrHsSyn ForeignCall
                 PrelInfo PrelNames PrelRules PrimOp TysPrim TysWiredIn CostCentre
                 ProfInit SCCfinal RnBinds RnEnv RnExpr RnHsDoc RnNames RnPat
                 RnSource RnTypes CoreMonad CSE FloatIn FloatOut LiberateCase
                 OccurAnal SAT SetLevels SimplCore SimplEnv SimplMonad SimplUtils
                 Simplify SRT SimplStg StgStats UnariseStg Rules SpecConstr
                 Specialise CoreToStg StgLint StgSyn DmdAnal WorkWrap WwLib FamInst
                 Inst TcAnnotations TcArrows TcBinds TcClassDcl TcDefaults TcDeriv
                 TcEnv TcExpr TcForeign TcGenDeriv TcGenGenerics TcHsSyn TcHsType
                 TcInstDcls TcMType TcMatches TcPat TcRnDriver TcRnMonad TcRnTypes
                 TcRules TcSimplify TcErrors TcTyClsDecls TcTyDecls TcType
                 TcEvidence TcUnify TcInteract TcCanonical TcSMonad Class Coercion
                 FamInstEnv FunDeps InstEnv TyCon Kind Type TypeRep Unify Bag Binary
                 BufWrite Digraph Encoding FastBool FastFunctions FastMutInt
                 FastString FastTypes Fingerprint FiniteMap GraphBase GraphColor
                 GraphOps GraphPpr IOEnv ListSetOps Maybes MonadUtils OrdList
                 Outputable Pair Panic Pretty Serialized State Stream StringBuffer
                 UniqFM UniqSet Util Vectorise.Builtins.Base
                 Vectorise.Builtins.Initialise Vectorise.Builtins
                 Vectorise.Monad.Base Vectorise.Monad.Naming Vectorise.Monad.Local
                 Vectorise.Monad.Global Vectorise.Monad.InstEnv Vectorise.Monad
                 Vectorise.Utils.Base Vectorise.Utils.Closure
                 Vectorise.Utils.Hoisting Vectorise.Utils.PADict
                 Vectorise.Utils.Poly Vectorise.Utils Vectorise.Generic.Description
                 Vectorise.Generic.PAMethods Vectorise.Generic.PADict
                 Vectorise.Generic.PData Vectorise.Type.Env Vectorise.Type.Type
                 Vectorise.Type.TyConDecl Vectorise.Type.Classify Vectorise.Convert
                 Vectorise.Vect Vectorise.Var Vectorise.Env Vectorise.Exp Vectorise
                 Hoopl.Dataflow Hoopl AsmCodeGen TargetReg NCGMonad Instruction Size
                 Reg RegClass PIC Platform CPrim X86.Regs X86.RegInfo X86.Instr
                 X86.Cond X86.Ppr X86.CodeGen PPC.Regs PPC.RegInfo PPC.Instr
                 PPC.Cond PPC.Ppr PPC.CodeGen SPARC.Base SPARC.Regs SPARC.RegPlate
                 SPARC.Imm SPARC.AddrMode SPARC.Cond SPARC.Instr SPARC.Stack
                 SPARC.ShortcutJump SPARC.Ppr SPARC.CodeGen SPARC.CodeGen.Amode
                 SPARC.CodeGen.Base SPARC.CodeGen.CondCode SPARC.CodeGen.Gen32
                 SPARC.CodeGen.Gen64 SPARC.CodeGen.Sanity SPARC.CodeGen.Expand
                 RegAlloc.Liveness RegAlloc.Graph.Main RegAlloc.Graph.Stats
                 RegAlloc.Graph.ArchBase RegAlloc.Graph.ArchX86
                 RegAlloc.Graph.Coalesce RegAlloc.Graph.Spill
                 RegAlloc.Graph.SpillClean RegAlloc.Graph.SpillCost
                 RegAlloc.Graph.TrivColorable RegAlloc.Linear.Main
                 RegAlloc.Linear.JoinToTargets RegAlloc.Linear.State
                 RegAlloc.Linear.Stats RegAlloc.Linear.FreeRegs
                 RegAlloc.Linear.StackMap RegAlloc.Linear.Base
                 RegAlloc.Linear.X86.FreeRegs RegAlloc.Linear.PPC.FreeRegs
                 RegAlloc.Linear.SPARC.FreeRegs
hidden-modules:
trusted: False
import-dirs: /usr/lib/ghc-7.6.3/ghc-7.6.3
library-dirs: /usr/lib/ghc-7.6.3/ghc-7.6.3
hs-libraries: HSghc-7.6.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-7.6.3/ghc-7.6.3/include
includes:
depends: Cabal-1.16.0-7a8b263a35b73732fb89bab63c5a425f
         array-0.4.0.1-72eb1caf42d7f1e9e960760f41ef98d0
         base-4.6.0.1-4bcc6d6b73091272e4add56b423d4d2f
         bin-package-db-0.0.0.0-14d3aab752d92cbd15ed70e27be490d0
         bytestring-0.10.0.2-ea1d6622fb7aad447c7746744ecded40
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         directory-1.2.0.1-504c99535d64699e20e001d81b577d06
         filepath-1.3.0.1-62570c67b40fb99e7078c0d179220531
         hoopl-3.9.0.0-58ad2271c96919cc16523453148af44d
         hpc-0.6.0.0-8971009bb19b0f41b301722b40288e9f
         process-1.1.0.2-e0c48f9bdf742372ba6a81c4a5eaddaf
         template-haskell-2.8.0.0-d9daa3a7a04ee510bbf82494c64571f0
         time-1.4.0.1-970760bdd865d8b6cafac382276795a2
         unix-2.6.0.1-7550b9ae9dbc74e4d6570cc239a29030
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/html/libraries/ghc-7.6.3/ghc.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/ghc-7.6.3
